Issue #13 resolved
Former user created an issue

Ciao, è possibile avere l'exe anche per java 1.6 ? Sul pc non posso decidere io l'aggiornamento e non posso chiedere Java 1.7 per motivi personali.

Comments (4)

  1. Red Squirrel repo owner

    Ciao, purtroppo non è fatto di EXE, è il progetto JAVA stesso ad essere programmato e compilato con JDK 1.7, quindi se anche l'EXE non ti richiedesse l'1.7 e lanciasse il programma poi comunque quest'ultimo avrebbe incompatibilità con il vecchio JAVA quando fa uso di funzioni o librerie magari inesistenti fino al 1.6 ;)

  2. toc1

    (con Eclipse) Java 1.6.jpgselezionare il progetto Project -> Properties Java Compiler deselezionare Use compliance... selezionare 1.6 OK

    rigenerare l'eseguibile

  3. Red Squirrel repo owner

    A parte che non uso Eclipse, ma pare che non stai ancora afferrando il problema principale: il programma utilizza librerie e funzioni NON compatibili con lo JDK 1.6, quindi se lo compilassi con quello non mi creerebbe mai l'eseguibile in quanto riporterebbe errori di funzioni sconosciute per lui. Spero di essere stato più chiaro ora

  4. Log in to comment